# BEGIN SourceDeps(oneline):
BuildRequires: perl(Benchmark.pm) perl(IO/File.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-TryCatch
Version:        1.003000
Release:        alt2_7
Summary:        First class try catch semantics for Perl, without source filters
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/TryCatch/
Source0:        http://www.cpan.org/authors/id/A/AS/ASH/TryCatch-%{version}.tar.gz
# rt#81978
Patch0:         TryCatch-1.003000-invalid.patch
BuildRequires:  perl(B/Hooks/EndOfScope.pm)
BuildRequires:  perl(B/Hooks/OP/Check.pm)
BuildRequires:  perl(B/Hooks/OP/PPAddr.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Config.pm)
BuildRequires:  perl(CPAN.pm)
BuildRequires:  perl(Cwd.pm)
BuildRequires:  perl(Devel/Declare.pm)
BuildRequires:  perl(Devel/Declare/Context/Simple.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(ExtUtils/Manifest.pm)
BuildRequires:  perl(ExtUtils/MM_Unix.pm)
BuildRequires:  perl(File/Find.pm)
BuildRequires:  perl(File/Path.pm)
BuildRequires:  perl(File/Spec.pm)
BuildRequires:  perl(FindBin.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(Moose/Util/TypeConstraints.pm)
BuildRequires:  perl(MooseX/Types.pm)
BuildRequires:  perl(MooseX/Types/Structured.pm)
BuildRequires:  perl(namespace/clean.pm)
BuildRequires:  perl(Parse/Method/Signatures.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Scope/Upper.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(Sub/Exporter.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Variable/Magic.pm)
BuildRequires:  perl(vars.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(XSLoader.pm)
Requires:       perl(B/Hooks/OP/Check.pm) >= 0.18
Requires:       perl(Moose.pm)
Requires:       perl(MooseX/Types.pm)
Requires:       perl(Test/Exception.pm)
Requires:       perl(Test/More.pm) >= 0.88
Requires:       perl(Variable/Magic.pm) >= 0.28


Source44: import.info

%description
This module aims to provide a nicer syntax and method to catch errors in
Perl, similar to what is found in other languages (such as Java, Python or
C++). The standard method of using eval {}; if ($@) {} is often prone to
subtle bugs, primarily that its far too easy to stomp on the error in error
handlers. And also eval/if isn't the nicest idiom.

%prep
%setup -q -n TryCatch-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
# %{_fixperms} %{buildroot}/*
chmod +x %{buildroot}/%{perl_vendorarch}/{bench.pl,bench_ok.pl}

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/TryCatch*
%{perl_vendorarch}/bench.pl
%{perl_vendorarch}/bench_ok.pl

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.003000-alt2_7
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 1.003000-alt2_5
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.003000-alt1_5
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.003000-alt1_3
- fc import

